<?php
/**
 * All settings related to main banner post.
 *
 * @package MagFusion
 */
$wp_customize->add_section(
	'main_banner_post',
	array(
		'title' => esc_html__( 'Main Banner Section', 'magfusion' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'magfusion_options[enable_main_banner_section]',
    array(
        'default'           => $magfusion_default['enable_main_banner_section'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_main_banner_section]',
    array(
        'label'       => esc_html__( 'Enable Main Banner', 'magfusion' ),
        'section'     => 'main_banner_post',
        'type'        => 'checkbox',
    )
);


$wp_customize->add_setting(
    'magfusion_section_seperator_banner_column_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_banner_column_1',
        array(
            'label'         => esc_html__( 'Banner Column - 1', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_banner_column_2',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'magfusion_options[banner_grid_first_category]',
    array(
        'default'           => $magfusion_default['banner_grid_first_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Magfusion_Dropdown_Taxonomies_Control(
        $wp_customize,
        'magfusion_options[banner_grid_first_category]',
        array(
            'label'           => __( 'Choose Grid Category', 'magfusion' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'magfusion' ),
            'section'         => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'magfusion_options[banner_grid_first_category_offset]',
    array(
        'default' => $magfusion_default['banner_grid_first_category_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[banner_grid_first_category_offset]',
    array(
        'label' => __('First Category Post Offset', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);

$wp_customize->add_setting(
    'magfusion_section_seperator_banner_column_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_banner_column_2',
        array(
            'label'         => esc_html__( 'Banner Column - 2', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_banner_column_1',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'magfusion_options[banner_grid_second_column_category]',
    array(
        'default'           => $magfusion_default['banner_grid_second_column_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Magfusion_Dropdown_Taxonomies_Control(
        $wp_customize,
        'magfusion_options[banner_grid_second_column_category]',
        array(
            'label'           => __( 'Choose Category', 'magfusion' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'magfusion' ),
            'section'         => 'main_banner_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[banner_grid_second_column_category_offset]',
    array(
        'default' => $magfusion_default['banner_grid_second_column_category_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[banner_grid_second_column_category_offset]',
    array(
        'label' => __('Second Category Post Offset', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);





$wp_customize->add_setting(
    'magfusion_section_seperator_banner_column_3',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_banner_column_3',
        array(
            'label'         => esc_html__( 'Banner Column - 3', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_banner_column_3',
            'section' => 'main_banner_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[banner_grid_third_category]',
    array(
        'default'           => $magfusion_default['banner_grid_third_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Magfusion_Dropdown_Taxonomies_Control(
        $wp_customize,
        'magfusion_options[banner_grid_third_category]',
        array(
            'label'           => __( 'Choose List Post Category', 'magfusion' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'magfusion' ),
            'section'         => 'main_banner_post',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[banner_grid_third_column_category_offset]',
    array(
        'default' => $magfusion_default['banner_grid_third_column_category_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[banner_grid_third_column_category_offset]',
    array(
        'label' => __('List Post Offset', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);





$wp_customize->add_setting(
    'magfusion_section_seperator_banner',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_banner',
        array(
            'label'         => esc_html__( 'Banner Section Meta', 'magfusion' ),
            'settings' => 'magfusion_section_seperator_banner',
            'section' => 'main_banner_post',
        )
    )
);


$wp_customize->add_setting(
    'magfusion_options[enable_banner_author_meta]',
    array(
        'default' => $magfusion_default['enable_banner_author_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_banner_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_banner_author_meta]',
    array(
        'default' => $magfusion_default['select_banner_author_meta'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_banner_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => magfusion_author_meta(),
    )
);
$wp_customize->add_setting(
    'magfusion_options[banner_author_meta_title]',
    array(
        'default' => $magfusion_default['banner_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[banner_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'magfusion_options[enable_banner_date_meta]',
    array(
        'default' => $magfusion_default['enable_banner_date_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_banner_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_banner_date]',
    array(
        'default' => $magfusion_default['select_banner_date'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_banner_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => magfusion_date_meta(),
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_banner_date_meta_title]',
    array(
        'default' => $magfusion_default['select_banner_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_banner_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_banner_date_format]',
    array(
        'default' => $magfusion_default['select_banner_date_format'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_banner_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => magfusion_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'magfusion_options[enable_banner_category_meta]',
    array(
        'default' => $magfusion_default['enable_banner_category_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_banner_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'magfusion_options[select_banner_number_of_category]',
    array(
        'default' => $magfusion_default['select_banner_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_banner_number_of_category]',
    array(
        'label' => __('Number of Category', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'magfusion_options[banner_category_label]',
    array(
        'default' => $magfusion_default['banner_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[banner_category_label]',
    array(
        'label' => __('Category Label', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'magfusion_options[select_banner_category_color]',
    array(
        'default' => $magfusion_default['select_banner_category_color'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_banner_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'magfusion'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => magfusion_category_color(),
    )
);